# $Revision: 1.16 $, $Date: 2009/06/07 15:13:53 $
Summary:	GTK+ tool to edit subtitles
Summary(pl.UTF-8):	Narzędzie w GTK+ do edycji napisów
Name:		subtitleeditor
Version:	0.32.0
Release:	1
License:	GPL v3+
Group:		X11/Applications
Source0:	http://download.gna.org/subtitleeditor/0.32/%{name}-%{version}.tar.gz
# Source0-md5:	69c9c5b4cce60ee377f3506c2989401e
URL:		http://home.gna.org/subtitleeditor/
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake
BuildRequires:	enchant-devel >= 1.1.0
BuildRequires:	gettext-devel
BuildRequires:	glibmm-devel >= 2.16.3
BuildRequires:	gstreamer-audio-effects-good >= 0.10.5
BuildRequires:	gstreamer-devel >= 0.10
BuildRequires:	gstreamer-plugins-base-devel >= 0.10
BuildRequires:	gtkglextmm-devel >= 1.2.0
BuildRequires:	gtkmm-devel >= 2.12.0
BuildRequires:	intltool >= 0.35.0
BuildRequires:	iso-codes
BuildRequires:	libglademm-devel >= 2.4
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	libxml++-devel >= 2.20.0
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.311
Requires(post,postun):	desktop-file-utils
Requires(post,postun):	gtk+2
Requires:	gstreamer-pango
Requires:	hicolor-icon-theme
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Subtitle Editor is a GTK+ tool to edit subtitles.

%description -l pl.UTF-8
Subtitle Editor jest narzędziem w GTK+ do edycji napisów.

%prep
%setup -q

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-gl

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# remove pt_PT as there is already pt locale
rm -rf $RPM_BUILD_ROOT%{_datadir}/locale/pt_PT

rm -f $RPM_BUILD_ROOT%{_libdir}/%{name}/plugins/{actions,subtitleformats}/*.la

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
%update_icon_cache hicolor
%update_desktop_database

%postun
/sbin/ldconfig
%update_icon_cache hicolor
%update_desktop_database_postun

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/subtitleeditor
%attr(755,root,root) %{_libdir}/libsubtitleeditor.so*
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/plugins
%dir %{_libdir}/%{name}/plugins/actions
%attr(755,root,root) %{_libdir}/%{name}/plugins/actions/libabout.so
%attr(755,root,root) %{_libdir}/%{name}/plugins/actions/libadjusttime.so
%attr(755,root,root) %{_libdir}/%{name}/plugins/actions/libapplytranslation.so
%attr(755,root,root) %{_libdir}/%{name}/plugins/actions/libchangeframerate.so
%attr(755,root,root) %{_libdir}/%{name}/plugins/actions/libcombinesubtitles.so
%attr(755,root,root) %{_libdir}/%{name}/plugins/actions/libcommand.so
%attr(755,root,root) %{_libdir}/%{name}/plugins/actions/libconfigurekeyboardshortcuts.so
%attr(755,root,root) %{_libdir}/%{name}/plugins/actions/libdialoguize.so
%attr(755,root,root) %{_libdir}/%{name}/plugins/actions/libdocumentmanagement.so
%attr(755,root,root) %{_libdir}/%{name}/plugins/actions/libduplicatesubtitle.so
%attr(755,root,root) %{_libdir}/%{name}/plugins/actions/libeditcell.so
%attr(755,root,root) %{_libdir}/%{name}/plugins/actions/liberrorchecking.so
%attr(755,root,root) %{_libdir}/%{name}/plugins/actions/libextendlength.so
%attr(755,root,root) %{_libdir}/%{name}/plugins/actions/libexternalvideoplayer.so
%attr(755,root,root) %{_libdir}/%{name}/plugins/actions/libfindandreplace.so
%attr(755,root,root) %{_libdir}/%{name}/plugins/actions/libinsertsubtitle.so
%attr(755,root,root) %{_libdir}/%{name}/plugins/actions/libitalicize.so
%attr(755,root,root) %{_libdir}/%{name}/plugins/actions/libjoindocument.so
%attr(755,root,root) %{_libdir}/%{name}/plugins/actions/libmoveafterprecedingsubtitle.so
%attr(755,root,root) %{_libdir}/%{name}/plugins/actions/libmovesubtitles.so
%attr(755,root,root) %{_libdir}/%{name}/plugins/actions/libplaintext.so
%attr(755,root,root) %{_libdir}/%{name}/plugins/actions/libpreferences.so
%attr(755,root,root) %{_libdir}/%{name}/plugins/actions/libremovesubtitle.so
%attr(755,root,root) %{_libdir}/%{name}/plugins/actions/libreversetextandtranslation.so
%attr(755,root,root) %{_libdir}/%{name}/plugins/actions/libscalesubtitles.so
%attr(755,root,root) %{_libdir}/%{name}/plugins/actions/libselection.so
%attr(755,root,root) %{_libdir}/%{name}/plugins/actions/libspellchecking.so
%attr(755,root,root) %{_libdir}/%{name}/plugins/actions/libsplitdocument.so
%attr(755,root,root) %{_libdir}/%{name}/plugins/actions/libsplitsubtitle.so
%attr(755,root,root) %{_libdir}/%{name}/plugins/actions/libstyleeditor.so
%attr(755,root,root) %{_libdir}/%{name}/plugins/actions/libtextcorrection.so
%attr(755,root,root) %{_libdir}/%{name}/plugins/actions/libtimemodemanagement.so
%attr(755,root,root) %{_libdir}/%{name}/plugins/actions/libvideoplayermanagement.so
%attr(755,root,root) %{_libdir}/%{name}/plugins/actions/libviewmanager.so
%attr(755,root,root) %{_libdir}/%{name}/plugins/actions/libwaveformmanagement.so
%dir %{_libdir}/%{name}/plugins/subtitleformats
%attr(755,root,root) %{_libdir}/%{name}/plugins/subtitleformats/libadobeencoredvdntsc.so
%attr(755,root,root) %{_libdir}/%{name}/plugins/subtitleformats/libadobeencoredvdpal.so
%attr(755,root,root) %{_libdir}/%{name}/plugins/subtitleformats/libadvancedsubstationalpha.so
%attr(755,root,root) %{_libdir}/%{name}/plugins/subtitleformats/libmicrodvd.so
%attr(755,root,root) %{_libdir}/%{name}/plugins/subtitleformats/libmpl2.so
%attr(755,root,root) %{_libdir}/%{name}/plugins/subtitleformats/libmpsub.so
%attr(755,root,root) %{_libdir}/%{name}/plugins/subtitleformats/libsubrip.so
%attr(755,root,root) %{_libdir}/%{name}/plugins/subtitleformats/libsubstationalpha.so
%attr(755,root,root) %{_libdir}/%{name}/plugins/subtitleformats/libsubtitleeditorproject.so
%attr(755,root,root) %{_libdir}/%{name}/plugins/subtitleformats/libsubviewer2.so
%attr(755,root,root) %{_libdir}/%{name}/plugins/subtitleformats/libtimedtextauthoringformat1.so
%{_datadir}/%{name}
%{_desktopdir}/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/subtitleeditor.*
%{_pixmapsdir}/*.svg
%{_mandir}/man1/subtitleeditor.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: subtitleeditor.spec,v $
Revision 1.16  2009/06/07 15:13:53  megabajt
- updated to 0.32.0

Revision 1.15  2008/08/27 17:46:29  rotom
- up to 0.20.1
- BR added

Revision 1.14  2008/04/13 14:47:17  wolf
- 0.20.0

Revision 1.13  2007-05-04 21:58:33  twittner
- rel. 1

Revision 1.12  2007/05/04 20:51:40  twittner
- fix locale names (pt_PT -> pt)
- rel. 0.2

Revision 1.11  2007/05/04 20:09:22  twittner
- up to 0.13.6
-  -init_aspell.patch is not longer needed
- added missing BRs: gstreamer-audio-effects-good, pcre-cxx-devel
- rel. 0.1 (builds, not tested)

Revision 1.10  2007/02/12 22:09:16  glen
- tabs in preamble

Revision 1.9  2007/02/12 01:06:33  baggins
- converted to UTF-8

Revision 1.8  2006/09/02 18:13:28  rotom
- up to 0.10.1

Revision 1.7  2006/08/16 15:28:59  havner
- 0.10

Revision 1.6  2006/08/10 19:48:16  hawk
- updated to 0.9.1

Revision 1.5  2006/06/12 14:04:04  charles
- added -init_aspell.patch (get lang from locale)

Revision 1.4  2006/06/12 10:52:19  charles
- BR: gettext-devel

Revision 1.3  2006/06/12 06:32:31  maciek2w
- updated to 0.8.0
- STBR

Revision 1.2  2006/03/18 22:14:18  maciek2w
- updated to 0.7.2

Revision 1.1  2006/02/08 14:57:42  freetz
- initial

